Subject: Re: [Rats] Another use case for RATS

From: Michael Richardson <[email-masked]>
Date: Mon, 08 Jul 2019 17:41:12 -0400

Dave Thaler <[email-masked]> wrote:
    > * Immutable attention triggers for device resiliency: One significant
    > problem is malware that holds a device hostage and does not allow it to
    > reboot to prevent updates to be applied. This is a significant problem,
    > because it allows a fleet of devices to be held hostage for
    > ransom. Within CyRes the TCG is defining hardware Attention Triggers
    > that force a periodical reboot in hardware. This can be implemented by
    > forcing a reboot unless attestation to an Attestation Server succeeds
    > within the period interval, and having a reboot do remediation by
    > bringing a device into compliance, including installation of patches as
    > needed.

Thank you.

About the above, I've added to your text.

This is unlike the previous section on Device Attestation in that
the attestation comes from a network operator, as to the device's need
to continue operating, and is evaluated by trusted firmware (the relying
party), which resets a watchdog timer.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-